<?php
/**
 * Customizer WP prestasi
 * Setting tema dari menu Customizer
 */

function prestasi_partial_refresh( $wp_customize ) {
	
 // Refresh Partial
    
	$wp_customize->selective_refresh->add_partial(
		'nama_sekolah',
		array(
			'selector'            => '.nama_sekolah',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_namasekolah',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		'address_data',
		array(
			'selector'            => '.address',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_address',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		'kepala_sekolah',
		array(
			'selector'            => '.head_name',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_kepalasekolah',
		)
    );
	
	$wp_customize->selective_refresh->add_partial(
		'nspn_data',
		array(
			'selector'            => '.nspn',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_nspn',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		'telpon_data',
		array(
			'selector'            => '.number',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_number',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		'email_data',
		array(
			'selector'            => '.press_social',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_email',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		'wa_data',
		array(
			'selector'            => '.press_social',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_wanumber',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		'facebook_data',
		array(
			'selector'            => '.press_social',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_facebook',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		'twitter_data',
		array(
			'selector'            => '.press_social',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_twitter',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		'instagram_data',
		array(
			'selector'            => '.press_social',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_instagram',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		'youtube_data',
		array(
			'selector'            => '.press_social',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_youtube',
		)
    );
	
	
	
	$wp_customize->selective_refresh->add_partial(
		'running_text',
		array(
			'selector'            => '.newstickers',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_running',
		)
    );
	
	
	
	$wp_customize->selective_refresh->add_partial(
		're_info',
		array(
			'selector'            => '.re_info',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_reinfo',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		're_kontak',
		array(
			'selector'            => '.phone_cont',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_rekontak',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		're_agenda',
		array(
			'selector'            => '.re_agenda',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_re_agenda',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		're_seeagenda',
		array(
			'selector'            => '.re_seeagenda',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_reseeagenda',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		're_pengumuman',
		array(
			'selector'            => '.re_announ',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_announ',
		)
    );
	
	
	$wp_customize->selective_refresh->add_partial(
		're_quotes',
		array(
			'selector'            => '.re_quotes',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_requotes',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		're_kepala',
		array(
			'selector'            => '.head_title',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_rekepala',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		're_editorial',
		array(
			'selector'            => '.re_editor',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_editorial',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		're_editormore',
		array(
			'selector'            => '.editor_more',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_editormore',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		're_guru',
		array(
			'selector'            => '.re_guru',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_reguru',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		're_blog',
		array(
			'selector'            => '.re_blog',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_reblog',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		're_fasilitas',
		array(
			'selector'            => '.re_fasilitas',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_refasilitas',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		're_kegiatan',
		array(
			'selector'            => '.re_kegiatan',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_rekegiatan',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		're_lihat',
		array(
			'selector'            => '.re_lihat',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_re_lihat',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		're_galeri',
		array(
			'selector'            => '.re_galeri',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_re_galeri',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		're_video',
		array(
			'selector'            => '.re_video',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_re_video',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		're_news',
		array(
			'selector'            => '.re_news',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_renews',
		)
    );
	
	// 404
	$wp_customize->selective_refresh->add_partial(
		'not_title',
		array(
			'selector'            => '.head_notfound',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_headnot',
		)
    );
	$wp_customize->selective_refresh->add_partial(
		'not_page',
		array(
			'selector'            => '.text_notfound',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_textnot',
		)
    );
	
	$wp_customize->selective_refresh->add_partial(
		'not_text',
		array(
			'selector'            => '.text-not',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_nottext',
		)
    );
	
	// Copyright
	$wp_customize->selective_refresh->add_partial(
		'copy_foot',
		array(
			'selector'            => '.copyright',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_footcopy',
		)
    );
	
	$wp_customize->selective_refresh->add_partial(
		're_head404',
		array(
			'selector'            => '.head_notfound',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_headnotfound',
		)
    );
	
	$wp_customize->selective_refresh->add_partial(
		're_text404',
		array(
			'selector'            => '.text_notfound',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_textnotfound',
		)
    );
	
	
	
	// Running Text
	$wp_customize->selective_refresh->add_partial(
		'run_text',
		array(
			'selector'            => '.newstickers',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_runtext',
		)
    );
	
	
	// Running Text
	$wp_customize->selective_refresh->add_partial(
		'show_maps',
		array(
			'selector'            => '.iframe',
			'container_inclusive' => false,
			'render_callback'     => 'prestasi_customize_partial_showmaps',
		)
    );
	


}
add_action( 'customize_register', 'prestasi_partial_refresh', 11 );


